aboutsummaryrefslogtreecommitdiff
path: root/specials/gndev-deploy.sh
diff options
context:
space:
mode:
authorPjotr Prins2024-04-03 06:44:13 -0500
committerPjotr Prins2024-04-03 06:44:13 -0500
commit88bc1f1a59480eb39ab6a9db5915dfc150e9432b (patch)
treed1e6bd5d4c6f27b97091b3d997a9b8013c882168 /specials/gndev-deploy.sh
parenta01ad09623aed03acf408fbc76dbdf0f666c1bf2 (diff)
downloadgn-machines-88bc1f1a59480eb39ab6a9db5915dfc150e9432b.tar.gz
gendev: special machine for Pjotr
Diffstat (limited to 'specials/gndev-deploy.sh')
-rwxr-xr-xspecials/gndev-deploy.sh64
1 files changed, 64 insertions, 0 deletions
diff --git a/specials/gndev-deploy.sh b/specials/gndev-deploy.sh
new file mode 100755
index 0000000..c25df03
--- /dev/null
+++ b/specials/gndev-deploy.sh
@@ -0,0 +1,64 @@
+#! /bin/bash -e
+
+# This is a development machine used by Pjotr
+#
+# genenetwork-machines --- Guix configuration for genenetwork machines
+# Copyright © 2022, 2024 Arun Isaac <arunisaac@systemreboot.net>
+#
+# This file is part of genenetwork-machines.
+#
+# genenetwork-machines is free software: you can redistribute it
+# and/or modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation, either version 3 of
+# the License, or (at your option) any later version.
+#
+# genenetwork-machines is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with genenetwork-machines. If not, see
+# <https://www.gnu.org/licenses/>.
+
+# See also https://issues.genenetwork.org/topics/systems/fire-up-genenetwork-system-container
+
+# this script should not be run as root.
+if [ "$EUID" -eq 0 ]
+ then echo "Please do not run as root."
+ exit
+fi
+
+echo Build and install genenetwork gndev container on $HOSTNAME
+
+mkdir -p /export2/guix-containers/gndev/tmp
+rm -rf /export2/guix-containers/gndev/tmp/ # muck out
+touch /export2/guix-containers/gndev/tmp/gndev-tmp
+mkdir -p /export2/guix-containers/gndev/var/lib/acme
+mkdir -p /export2/guix-containers/genenetwork/etc/genenetwork
+mkdir -p /export2/data/gndev-xapian
+mkdir -p /export2/data/gndev-sqlite
+mkdir -p /export/data/gndev/genotype_files
+
+# Note that if you change these paths you need to rebuild the container
+container_script=$(~/opt/guix-gndev/bin/guix system container \
+ --network \
+ --load-path=.. -L ~/guix-bioinformatics \
+ --verbosity=3 \
+ --share=/export2/guix-containers/gndev/var/lib/acme=/var/lib/acme \
+ --share=/export2/guix-containers/gndev/tmp=/var/tmp \
+ --share=/export2/guix-containers/genenetwork/etc/genenetwork=/etc/genenetwork \
+ --share=/export2/data/gndev-xapian \
+ --share=/export2/data/gndev-sqlite \
+ --expose=/export/data/genenetwork/genotype_files \
+ --expose=/export/data/gndev \
+ --share=/var/run/mysqld=/run/mysqld \
+ --share=/export/source/gndev-debug \
+ gndev.scm)
+
+name=/usr/local/bin/gndev-system-container
+if [ $? == 0 ] ; then
+ echo "Create $name -> $container_script"
+ sudo ln --force --symbolic $container_script $name
+ sudo ln --force --symbolic /usr/local/bin/$name /var/guix/gcroots
+fi